HNetInfo

 Hlavní modul HNet Info

Hlavní modul integruje jednotlivé programy do skupin dle použití, zobrazuje jejich přehled se základními informacemi o verzi, jazykovém prostředí a aktuálním stavu, zprostředkovává a indikuje spuštění a umožuje nastavení jazykového přostředí a případnou aktualizaci programů. Novinky

Seznam integrovaných programů
Přehled programů integrovaných v Hnet Info umožňujcí:
  • u report seznamu zobrazení detailních informací o programu - jméno, verze a komentář programu.
  • u report seznamu možnost setřídění seznamu dle položek.
  • možnost změny pořadí položek zeznamu (metodou Drag Drop)
  • možnost spuštění programu.
  • kliknutím pravého tlačítka myši aktivace menu
    - spuštění programu
    - přenés do popředí
    - ukončení programu
    - změna skupiny programu
    - aktualizace programu
    - základní informace o programu

    Nastavení typu seznamu
    Nastavení typu seznamu:
  • jednoduchý seznam
  • report seznam s informacemi o verzi a stručným komentářem

    Nastavení lze provést:
    - tlačítkem 'Nastavení typu seznamu' v toolbaru aplikace
    - prostřednictvím podvoleb menu 'Nastavení'
    - nastavením aplikace (viz. 'Nastavení Aplikace')

    Nastavení viditelnosti skupin programů
    Nastavení zobrazení/skrytí jednotlivých skupin v seznamu integrovaných programů.
    Stav zobrazení skupiny je indikován značkou u příslušného tlačítka skupiny, u menu značkou u příslušné položky menu.

    Nastavení lze provést:
    - tlačítkem pro skupinu v toolbaru aplikace
    - prostřednictvím podvoleb menu 'Skupiny'
    - nastavením aplikace (viz. 'Nastavení Aplikace')

    Nastavení skupin programů
    Nastavení rozmístění jednotlivých programů do skupin dle zaměření.

    Nastavení lze provést:
    - ze seznamu integrovaných programů prostřednictvím podvolby menu 'Přesunout do skupiny'
    - nastavením aplikace (viz. 'Nastavení Aplikace')

    Nastavení barevné kombinace
    Nastavení barevné kombinace aplikace.
  • Šedá
  • Žlutá
  • Modrá
  • Zelená
  • Hnědá
  • Fialová
  • Červená

    Nastavení lze provést:
    - prostřednictvím podvoleb menu 'Nastavení'
    - nastavením aplikace (viz. 'Nastavení Aplikace')

    Nastavení aplikace
    Nastavení základních vlastností aplikace:
  • Hlavní: nastavení chování aplikace a jeho hlavního okna
  • Zobrazení hlavního okna
    Zobrazit vždy navrchu -okno aplikce bude vždy nad ostatními okny
    Zobrazit v hlavním panelu -běh aplikace bude indikován ikonou v hlavním panelu (oblast TrayIcon)
    Při minimalizaci umístit do hlavního panelu -okno aplikce bude po minimalizaci indikována ikonou v hlavním panelu (jen oblast TrayIcon)
  • Automatické spuštění
    Spustit automaticky při spuštění Windows -aplikce bude automaticky spuštěna při startu Windows
    Automaticky najet minimalizovaně -aplikace po automatickém spuštění bude mimimalizována dle podmínek minimalizace nastavených v 'Zobrazení hlavního okna'
  • Seznam: nastavení typu zobrazení a výběr zobrazení skupin seznamu integrovaných programů
  • Typ seznamu
    Report seznam -seznam s informacemi o verzi a stručným komentařem programu
    Prostý seznam -jednoduchý seznam bez detailních informací o programu
  • Skupiny
    -zobrazení jednotlivé skupiny integrovaných programů
  • Skupiny: nastavení jednotlivých skupin programů
    - změnu skupiny u programu lze provést stisknutím daného tlačítka nebo přesunutím programu na dané tlačítko (metodou Drag Drop)
  • Barvy: nastavení barevné kombinace aplikace
  • Barevná kombinace
    Šedá, Žlutá, Modrá, Zelená, Hnědá, Fialová, Červená -barevné kombinace
    Nastavení některých dat lze také provést jednotlivě prostřednictvím:
    - tlačítek toolbaru aplikace
    - voleb hlavního menu aplikace
    - voleb menu seznamu programů

    Nastavení spuštění po startu
    Nastavení automatického spuštění jednotlivých programů integrovaných v Hnet Infu při spuštění Windows.
    Vzhled okna hlavního modulu po najetí je určen parametry ve vlastnostech aplikace' (viz. 'Nastavení aplikace').
    Nastavení pro hlavní modul lze provést:
    - prostřednictvím podvoleb menu 'Nastavení'
    - nastavením aplikace (viz. 'Nastavení Aplikace')
    Nastavení pro programy lze provést:
    - tlačítkem 'Nastavení Automatického Spuštění' v toolbaru aplikace
    - prostřednictvím podvolby menu 'Nastavení'

    Nastavení jazyka
    Nastavení jazykové mutace pro jednotlivé programy integrované v Hnet Infu
  • změna jazyka u hlavního modulu Hnet Info se projeví okamžitě po nastavení
  • změna jazyka u integrovaných programů se projeví až po opětovném spuštění daného programu.

    Nastavení jazyka lze provést:
    - tlačítkem 'Nastavení Jazyka' v toolbaru aplikace
    - prostřednictvím podvolby menu 'Nastavení'

    Aktualizace programů
    Volitelná aktualizace jednotlivých programů z WWW prostřednictvým samostatných aktualizačních balíčků.
  • aktualizaci možno zvolit dle aktuálního stavu verzí jednotlivých programů.
    Aktivaci aktualizace lze provést:
    - tlačítkem 'Aktualizace programů' v toolbaru aplikace
    - prostřednictvím podvolby menu 'Nastavení'

    Vzhled okna aplikace
    Minimalizace, maximalizace/obnova okna aplikace
  • Vzhled hlavního okna aplikace po minimalizaci je určen parametry ve vlastnostech aplikace (viz. Nastavení aplikace).
    Nastavení vzhledu zobrazení okna lze nastavit:
    - tlačítkem 'Minimalizace', 'Maximalizace'/'Obnova' v toolbaru aplikace
    - prostřednictvím podvoleb menu 'Zobrazení'

    O Aplikaci
    Základní informace o aplikaci
  • jméno aplikace, verze produktu a jazyková mutace
  • kontakt: WWW stránky a e-mail adresa

    Zobrazení informací o aplikaci lze aktivovat:
    - tlačítkem 'O Aplikaci' v toolbaru aplikace
    - prostřednictvím podvolby menu 'Nápověda'

    Nápověda
    Aktivace nápovědy z aplikace.
    Nápovědu lze aktivovat:
    - tlačítkem 'Nápověda' v toolbaru aplikace
    - prostřednictvím podvolby menu 'Nápověda'

    Ukončení aplikace
    Ukončení aplikace hlavního modulu Hnet Info.
    Aplikaci lze ukončit:
    - tlačítkem 'Ukončení aplikace' v toolbaru aplikace
    - prostřednictvím volby menu 'Konec'
    - prostřednictvím systémového ukončovacího tlačítka, menu

    Upozornění: V případě poškození inicializačního souboru hlavního modulu Hnet Info možno jeho nastavení na defaultní hodnoty prostřednictvím programu 'Hnet Info Ini Recovery' !!! Obnovu nastavení inicializačního souboru možno provést i při opětovné chybě spuštění modulu Hnet Info.